stupid_chris

[1.7] RealChute Parachute Systems v1.4.7.4 | 13/04/19

Recommended Posts

Hello all,

I have been trying to use the current RealChute on 1.3.0 and i get game crash, just cause i love it.

I tried to do with a minimal ksp setup, squad, realchute and MM and still crashed.

thanks for all of the work in the past and any in the future.

cheers.

 

Share this post


Link to post
Share on other sites

Please don't post reports like this.  Until verified that a mod works in 1.3, assume it doest, and don't waste the mod author's time with a useless report 

Share this post


Link to post
Share on other sites

Also, assume that every single mod that has uses a plugin AND parts WILL crash in KSP 1.3.0. Totally a known issue. (supposedly mods with plugins that aren't compiled for 1.3.0 but don't have parts don't crash but I haven't personally verified that)

Share this post


Link to post
Share on other sites
33 minutes ago, drtedastro said:

Hello all,

I have been trying to use the current RealChute on 1.3.0 and i get game crash, just cause i love it.

I tried to do with a minimal ksp setup, squad, realchute and MM and still crashed.

thanks for all of the work in the past and any in the future.

cheers.

 

I found your report to be friendly and helpful. Thanks.

Share this post


Link to post
Share on other sites

Right now my Fleet has been wiped from the universe by the gods. (is not loaded due to missing chutes) but I just sacrificed 30 bucks on the altar of the great Chris (via paypal) and pray for deliverance v1.3.:rolleyes:

My fellow believers, follow me and do part from thy petty morsels and donate for the higher cause !!!

Cheers.

Share this post


Link to post
Share on other sites

And all rejoice and spread much glee and BACON.

Great to hear from ya stupid_chris.

How's Gunther??

cheers.

Share this post


Link to post
Share on other sites

Heya all!

Compatibility update for 1.3. A few things are still weird on the code side but it works fine, so it'll do for now while RC2 is in dev.

Changelog:

June 1st 2017
v1.4.4
-RealChute 1.3 compatibility update
-Recompiled and fixed missing parameters
-Updated to CompatibilityChecker 6
-Fixed custom filters not showing in the editor
-Fixed settings button appearing in flight

Enjoy!

Share this post


Link to post
Share on other sites

Updating to KSP 1.2.2 and trying to figure out which version of this mod to get. I was looking at the changelog in the OP and it seems that the most up-to-date version for 1.2.2 is v1.4.3?? Can't seem to find it anywhere. Spacedock skips a few versions and goes to the KSP 1.3 compatible one... what I'm I missing?

Thanks,

Share this post


Link to post
Share on other sites
11 minutes ago, Calvin_Maclure said:

Updating to KSP 1.2.2 and trying to figure out which version of this mod to get. I was looking at the changelog in the OP and it seems that the most up-to-date version for 1.2.2 is v1.4.3?? Can't seem to find it anywhere. Spacedock skips a few versions and goes to the KSP 1.3 compatible one... what I'm I missing?

Thanks,

Totally Joking but... um KSP 1.3?   :P

Seriously I just migrated last night once I saw @stupid_chris was recompiling RC (BIG THANKS BTW!) and I have to say game-play seems to have improved a tiny bit.  Things are easier to read and some of the bugs that annoyed me are gone.    With the exception of RC all my mods but one (72 of them) either worked fine with their 1.22 version or had a 1.3 version already.   Now I await a fully Functional Galileo Planet Pack and 1.3 compliant toolbar to round out my mods :)  

 

Now @Calvin_Maclure to solve your problem... Go to the OP.   Click to Download from Github.    You will note it only shows the CURRENT version.   click on the RELEASE button/text and you will see all versions on the GitHub.     Hope that helps!

 

Share this post


Link to post
Share on other sites

I'm still clinging to 1.2.2 for one mod, at this point.

Share this post


Link to post
Share on other sites

im having an issue. im still on KSP 1.2.2 and using RC 1.4.3.0

 

my issue is.. when i have more than one radial mounted chute, and i configure it say to open at .5 atm and 1000 m and choose apply to all.. it complains about the rocket being too heavy and it just doesn't configure the others.. even tho with all 4 or 6 or even 8 they will be fine and the rocket wont actually crash into the ground.. this also seems to be with changing the material to kevlar.. it will only actually change the ONE you click on instead of all the ones that are selected blue if you hit apply to all.. 

 

 

Share this post


Link to post
Share on other sites

This is the first time I will be trying realism overhaul and I'm a bit confused as to which version of RealChute to download. The changelog in this post and that on github seem to be incompatible with each other.

From this post:

On 13/11/2013 at 10:45 AM, stupid_chris said:

v1.4.3 -FAR compatibility update. Addresses changes to FARAeroUtil.GetCurrentDensity() -Bring RC chutes in line with stock contract changes. (hopefully prevent impossible chute contracts from being generated by the contract system)

And from github:

v1.4.3.0 Removed FAR support. Per discussion with ferram4...

So which version am I supposed to get? Any help is appreciated!

Share this post


Link to post
Share on other sites
2 hours ago, scimas said:

This is the first time I will be trying realism overhaul and I'm a bit confused as to which version of RealChute to download. The changelog in this post and that on github seem to be incompatible with each other.

From this post:

And from github:

v1.4.3.0 Removed FAR support. Per discussion with ferram4...

So which version am I supposed to get? Any help is appreciated!

Looks like a typo. Here's the deal: Quite awhile back, some changes were made to a FAR method for getting air density and changes were then made to Real Chute 1.4.2 (not 1.4.3) so that it could continue to access that method. However, I then had a conversation with ferram4 in which he told me that we didn't really need to use that method anymore because stock KSP made it obsolete and that Real Chute should just stick to the stock method. So 1.4.3 removed that support.

Bottom line though is that the FAR changes don't matter and should not affect your decision. You need the most recent RC update that is compatible with your version of KSP. If you're using KSP 1.2.2 (which you probably are if you're trying Realism Overhaul) then you should get Real Chute 1.4.3. If you're using KSP 1.3 then you should get Real Chute 1.4.4 (except that there has been no Realism Overhaul for KSP 1.3)

Share this post


Link to post
Share on other sites

Quick note: I'm messing around with a new install while waiting for a couple of mods to update to 1.3, and I notice that RealChute sets all parachutes to be 'category = none' - making them impossible to see in the VAB.  Am I missing something obvious?  Because I went quite a way into a career before realizing I had already unlocked some parachutes, but I just couldn't *access* them...

Share this post


Link to post
Share on other sites

@DStaal RC integrates it's own custom category, called "Parachutes", and moves all RC - compatible parts under it. You should have a category button like this at the end of the stock category list.

Share this post


Link to post
Share on other sites
16 hours ago, DStaal said:

Quick note: I'm messing around with a new install while waiting for a couple of mods to update to 1.3, and I notice that RealChute sets all parachutes to be 'category = none' - making them impossible to see in the VAB.  Am I missing something obvious?  Because I went quite a way into a career before realizing I had already unlocked some parachutes, but I just couldn't *access* them...

What has just been said above is true. An extra category is added for parachutes only.

 

Share this post


Link to post
Share on other sites

Is there any documentation on how to configure chutes? I've played with a few of the settings, but would like to check out the nuts and bolts, or at least make sure I'm not doing everything wrong. I can't be doing everything wrong I guess, as I successfully landed a craft using these chutes.

Also, not sure if it's added by this mod, or just a random chance from the stock system, but I took a part test contract for RealChutes which required me to be between 9000m-13000m and a specified speed range. Didn't realise that the setting in the RealChute control panel about deployment altitude would completely disable the activation system, such that when I tried to stage the part within that range, it just told me that my altitude was too high. If those contracts are controlled via this mod, might you be able to put a message into the contract to remind the player that the activation altitude should be configured to be within the altitude range of the contract?

Share this post


Link to post
Share on other sites
22 hours ago, Phineas Freak said:

@DStaal RC integrates it's own custom category, called "Parachutes", and moves all RC - compatible parts under it. You should have a category button like this at the end of the stock category list.

So yep, missing something obvious...  :rolleyes:

Share this post


Link to post
Share on other sites
16 hours ago, strudo76 said:

Is there any documentation on how to configure chutes? I've played with a few of the settings, but would like to check out the nuts and bolts, or at least make sure I'm not doing everything wrong. I can't be doing everything wrong I guess, as I successfully landed a craft using these chutes.

Also, not sure if it's added by this mod, or just a random chance from the stock system, but I took a part test contract for RealChutes which required me to be between 9000m-13000m and a specified speed range. Didn't realise that the setting in the RealChute control panel about deployment altitude would completely disable the activation system, such that when I tried to stage the part within that range, it just told me that my altitude was too high. If those contracts are controlled via this mod, might you be able to put a message into the contract to remind the player that the activation altitude should be configured to be within the altitude range of the contract?

For the nth time, contracts are not my ball. I can only tell stock that theses parts can be used for contracts, the contract text is absolutely not my doing.

And most settings are fairly straightforward and self explanatory.

Share this post


Link to post
Share on other sites
1 hour ago, stupid_chris said:

For the nth time, contracts are not my ball. I can only tell stock that theses parts can be used for contracts, the contract text is absolutely not my doing.

And most settings are fairly straightforward and self explanatory.

Sorry for asking. You have a FAQ section. If it gets asked that often, maybe put something there where I would have seen it. Surely it gets asked about more than some of the other questions there?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.